Index: modules/KIWIBoot.pm
===================================================================
--- modules/KIWIBoot.pm.orig
+++ modules/KIWIBoot.pm
@@ -5578,7 +5578,7 @@ sub bindDiskPartitions {
 	my $status;
 	my $result;
 	my $part;
-	$status = qxx ("/sbin/kpartx -a $disk 2>&1");
+	$status = qxx ("/sbin/kpartx -sa $disk 2>&1");
 	$result = $? >> 8;
 	if ($result != 0) {
 		$kiwi -> loginfo ("Failed mapping partition: $status");
@@ -5586,7 +5586,7 @@ sub bindDiskPartitions {
 	}
 	# wait for the mapping devices to finish
 	qxx ("udevadm settle --timeout=30 2>&1");
-	push @cStack,"kpartx -d $disk";
+	push @cStack,"kpartx -sd $disk";
 	$this->{cleanupStack} = \@cStack;
 	$disk =~ s/dev\///;
 	$part = "/dev/mapper".$disk."p";
Index: modules/KIWIGlobals.pm
===================================================================
--- modules/KIWIGlobals.pm.orig
+++ modules/KIWIGlobals.pm
@@ -281,7 +281,7 @@ sub mount {
 				my $loop = $status;
 				push @UmountStack,"losetup -d $loop";
 				$this->{UmountStack} = \@UmountStack;
-				$status = KIWIQX::qxx ("kpartx -a $loop 2>&1");
+				$status = KIWIQX::qxx ("kpartx -sa $loop 2>&1");
 				$result = $? >> 8;
 				if ($result != 0) {
 					$kiwi -> error (
@@ -293,7 +293,7 @@ sub mount {
 				}
 				# wait for the mapping to finish
 				qxx ("udevadm settle --timeout=30 2>&1");
-				push @UmountStack,"kpartx -d $loop";
+				push @UmountStack,"kpartx -sd $loop";
 				$this->{UmountStack} = \@UmountStack;
 				$loop =~ s/\/dev\///;
 				$source = "/dev/mapper/".$loop."p3";
Index: modules/KIWILinuxRC.sh
===================================================================
--- modules/KIWILinuxRC.sh.orig
+++ modules/KIWILinuxRC.sh
@@ -9062,7 +9062,7 @@ function createSnapshotMap {
 		fi
 	fi
 	echo "losetup -d $diskLoop" > $reset
-	if ! kpartx -a $diskLoop;then
+	if ! kpartx -sa $diskLoop;then
 		return
 	fi
 	udevPending
